Redmine - Feature #1863
Bug Reporting API
2008-09-05 18:14 - Daniel Shourd

Status: Closed Start date: 2008-09-05
Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Duplicate

Description

For the company | work for we have software that has an internal software program that everyone uses. We need a way to make a
bug reporting page on the software that would report bugs to Redmine.

History

#1 - 2008-09-05 18:37 - Daniel Shourd
Sorry for the bad wording. | have had a hectic day.

There is already an plugin that does something similar.

http://github.com/edavis10/redmine_ticket emailer/tree/master

However this can't be integrated smoothly into another system with only a link that would submit values using POST or similar.
#2 - 2008-09-05 22:54 - Eric Davis
Daniel Shourd wrote:

There is already an plugin that does something similar.

http://github.com/edavis10/redmine_ticket emailer/tree/master

However this can't be integrated smoothly into another system with only a link that would submit values using POST or similar.

That plugin is old and not needed anymore. Redmine has some built in methods to handle emails now.
http://www.redmine.org/wiki/redmine/RedmineReceivingEmails

I'd recommend setting up a web form to send an email to an IMAP account. Then Redmine can read it out of the IMAP account and create new
issues.

#3 - 2008-09-10 22:38 - Ewan Makepeace
- File Form.html added

| dont think email is the best way to do this - we use the email APl and it works well but there is a 5 minute delay as we have only set up redmine to
check IMAP for new emails every 5 minutes and this is frustrating if you want to push data into redmine and then adjust its settings.

What is needed is a straightforward HTTP Post string that will directly push the data into Redmine and then permit immediate edits - if RM had a
RESTful API that would be perfect:
http://www.redmine.or: rds/1 i how/1 m -1

But until that is ready surely there is a simple POST URL that can push a basic web form of data into RedMine?
As an example attached is a highly edited form with just title and description that can be saved and then used to push new issues into this database
(example: #1883).

If we only want to push a few fields from another database this should be easy to script? Of course if we want to pick from lookups (assigned to,
target version ect) then it gets harder as record ID's are needed.

#4 - 2008-09-12 19:20 - Jean-Philippe Lang
- Category deleted (Importers)
- Status changed from New to Closed

- Resolution set to Duplicate
http://github.com/edavis10/redmine_ticket_emailer/tree/master
http://github.com/edavis10/redmine_ticket_emailer/tree/master
http://www.redmine.org/wiki/redmine/RedmineReceivingEmails
http://www.redmine.org/boards/1/topics/show/1585#message-1593

Please discuss about API requirements in #1214.
